package u1a3;

import org.junit.Test;
import junit.framework.Assert;
import java.util.Random;
/**
 * Unit tests for Mult class
 * 
 * @author Alexander Bernauer (bernauer@inf.ethz.ch)
 * @version 1.0
 * @see Mult
 */
public class Tests {

	/**
	 * Tests negative values for a.
	 */
	@Test(expected = IllegalArgumentException.class)
    public void invalid_a() {
        Mult.mult(-1, 0);
    }

	/**
	 * Test negative values for b.
	 */
    @Test(expected = IllegalArgumentException.class)
    public void invalid_b() {
        Mult.mult(0, -1);
    }

    /**
     * Test  Egyptian multiplication with two random numbers
     * between 0 an 100.
     */
    @Test 
    public void mult() {
        Random rand = new Random();
        int a = rand.nextInt(100);
        int b = rand.nextInt(100);
        Assert.assertEquals(Mult.mult(a,b), a*b);
    }
}
